## ros-melodic-rocon-python-comms 0.3.2

=== tests/CMakeLists.txt ===
##############################################################################
# Unit Tests
#
#   Only run when CATKIN_ENABLE_TESTING is true.
##############################################################################

##############################################################################
# Nose Tests
##############################################################################

catkin_add_nosetests(nosetests)

##############################################################################
# Ros Tests
##############################################################################

add_subdirectory(rostests)
